summaryrefslogtreecommitdiff
path: root/dev-ruby/bindata
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/bindata
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/bindata')
-rw-r--r--dev-ruby/bindata/Manifest3
-rw-r--r--dev-ruby/bindata/bindata-2.4.15.ebuild21
-rw-r--r--dev-ruby/bindata/bindata-2.5.0.ebuild22
-rw-r--r--dev-ruby/bindata/bindata-2.5.1.ebuild25
-rw-r--r--dev-ruby/bindata/metadata.xml12
5 files changed, 83 insertions, 0 deletions
diff --git a/dev-ruby/bindata/Manifest b/dev-ruby/bindata/Manifest
new file mode 100644
index 000000000000..b95689f4e722
--- /dev/null
+++ b/dev-ruby/bindata/Manifest
@@ -0,0 +1,3 @@
+DIST bindata-2.4.15.gem 80384 BLAKE2B e874f396d1ac7902db0fadca4b2d75da3af6ef553d84cea07a7fefa2fcba46d383c4c4b1ec0db8e744675253fd86dc5e9a287b3834616286a08f1e5605711443 SHA512 366b9de24ce6276832f0ea9c76cad70b433aa1f7f29839a1317b0fe2582f9c91d16ea90d74da7364d94f088b53ada2597b0e25cee859487657af4db20efed930
+DIST bindata-2.5.0.gem 83456 BLAKE2B 237ad6310c1af3af2c57637395082c65d445098a80971debcf1744f97bda027c0a6bcd21ef3f208adee3fd238f50697ec3c28537bd355d434c83f5b7efb6f0ee SHA512 17aa458d9450775f46247f97c04e9c73fbf629321404b1c785e077028ab1edaf5e9bd5cbbc606b950a7bd968b3a1460c55fbbffedad16a4d7df6fc67781ef356
+DIST bindata-2.5.1.gem 83456 BLAKE2B 2b38572eca4921872283553e67c95754baf03a0f135a99dcef4b641ee17a7a3a94b4e5d71c5729c1f865d54d63801d97d9b77356c4987070e2d121c5e05e1ccd SHA512 c6070a37bbe20ac67d6c5438b889b6542caaeb0a2f475de53a54ca9e006b5a452a5cf5ea5462d128599f2f89f1625c1c5140014101659e9208696e276bc9cb0b
diff --git a/dev-ruby/bindata/bindata-2.4.15.ebuild b/dev-ruby/bindata/bindata-2.4.15.ebuild
new file mode 100644
index 000000000000..a170452bcbfc
--- /dev/null
+++ b/dev-ruby/bindata/bindata-2.4.15.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Parsing Binary Data in Ruby"
+HOMEPAGE="https://github.com/dmendel/bindata"
+
+LICENSE="BSD-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~x86"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/[Cc]overalls/d' test/test_helper.rb || die
+}
diff --git a/dev-ruby/bindata/bindata-2.5.0.ebuild b/dev-ruby/bindata/bindata-2.5.0.ebuild
new file mode 100644
index 000000000000..a30bd5321636
--- /dev/null
+++ b/dev-ruby/bindata/bindata-2.5.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Parsing Binary Data in Ruby"
+HOMEPAGE="https://github.com/dmendel/bindata"
+
+LICENSE="BSD-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/simplecov/,/^end/ s:^:#:' test/test_helper.rb || die
+}
diff --git a/dev-ruby/bindata/bindata-2.5.1.ebuild b/dev-ruby/bindata/bindata-2.5.1.ebuild
new file mode 100644
index 000000000000..622acee339ef
--- /dev/null
+++ b/dev-ruby/bindata/bindata-2.5.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Parsing Binary Data in Ruby"
+HOMEPAGE="https://github.com/dmendel/bindata"
+
+LICENSE="BSD-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -e '/simplecov/,/^end/ s:^:#:' \
+ -e '1igem "minitest", "~> 5.0"' \
+ -i test/test_helper.rb || die
+}
diff --git a/dev-ruby/bindata/metadata.xml b/dev-ruby/bindata/metadata.xml
new file mode 100644
index 000000000000..f44c36415f78
--- /dev/null
+++ b/dev-ruby/bindata/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:bindata_project:bindata</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>